org.wildfly.swarm.config.ejb3.service

## Class FileDataStore<T extends FileDataStore<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.ejb3.service.FileDataStore<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class FileDataStore<T extends FileDataStore<T>>
      extends HashMap

  A JVM local file store that stores persistent EJB timers
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileDataStore(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `path()` The directory to store persistent timer information in
    `T` | `path(String value)` The directory to store persistent timer information in
    `String` | `relativeTo()` The relative path that is used to resolve the timer data store location
    `T` | `relativeTo(String value)` The relative path that is used to resolve the timer data store location
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### FileDataStore

          public FileDataStore(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### path

          public String path()

      The directory to store persistent timer information in

    - #### path

          public T path(String value)

      The directory to store persistent timer information in

    - #### relativeTo

          public String relativeTo()

      The relative path that is used to resolve the timer data store location

    - #### relativeTo

          public T relativeTo(String value)

      The relative path that is used to resolve the timer data store location

Copyright © 2017 JBoss by Red Hat. All rights reserved.